.blog {
  @apply font-serif text-lg text-gray-700;

  letter-spacing: 0.28px;
}

.blog h2,
.blog h3,
.blog h4,
.blog h5,
.blog h6 {
  @apply flex content-start text-black;
  @apply font-sans font-medium;
}

.blog h2 {
  @apply text-4xl mb-6 mt-12;
}

.blog h3 {
  @apply text-3xl mb-6 mt-12;
}

.blog h4 {
  @apply font-bold text-lg uppercase mb-4 mt-10;
}

.blog p {
  @apply mb-8;
}

.blog blockquote {
  @apply italic text-2xl leading-9 px-9 mt-12 mb-16;
}

.blog p a,
.blog li a {
  overflow-wrap: break-word;
}

.blog h2:hover a,
.blog h3:hover a,
.blog h4:hover a,
.blog h5:hover a,
.blog h6:hover a {
  visibility: visible;
}

.blog ul,
.blog ol {
  @apply my-5;
}

.blog ul li,
.blog ol li {
  @apply relative pl-8;
}

.blog ul li::before {
  content: "";
  position: absolute;
  background-color: #d1d5db;
  border-radius: 50%;
  width: 0.375em;
  height: 0.375em;
  top: calc(0.875em - 0.1875em);
  left: 0.25em;
}

.blog ol li::before {
  content: counter(list-item, var(--list-counter-style, decimal)) ".";
  position: absolute;
  font-weight: 400;
  color: #6b7280;
  left: 0;
}

// For Firefox
.blog pre {
  @apply my-10 py-4 px-3 overflow-x-auto;

  scrollbar-width: thin;
  scrollbar-color: rgb(230, 230, 230) white;
}

// For Chrome, Edge and Safari
.blog pre::-webkit-scrollbar {
  width: 12px;
}

.blog pre::-webkit-scrollbar-track {
  background: white;
}

.blog pre::-webkit-scrollbar-thumb {
  @apply bg-gray-100;

  border-radius: 20px;
  border: 2px solid white;
}

.blog code {
  white-space: pre-wrap;
}
